
/**
 *
 * @author jf
 */
public class SimObjectNPC implements SimObject {

    private final World world;
    private final Coords pose;
    private final int STEP = 1;

    enum Direction {

        UP, DOWN
    };
    Direction direction;

    public SimObjectNPC(World world, int x, int y) {
        this.world = world;
        pose = new Coords(x, y);
        direction = Direction.UP;
    }

    @Override
    public Coords getPosition() {
        return pose;
    }

    @Override
    public void doStep() {
        int y = pose.getY();
        switch (direction) {
            case UP:
                if (y > 10) {
                    y -= STEP;
                } else {
                    direction = Direction.DOWN;
                }
                break;
            case DOWN:
                if (y < (world.getDimension().getHeight() - 10)) {
                    y += STEP;
                } else {
                    direction = Direction.DOWN;
                }
                break;
        }
        pose.setY(y);
    }

}
