
public class SimulatorGUI {

    private final Simulator sim;
    private final MyCanvas canvas;

    public SimulatorGUI(Simulator sim, MyCanvas canvas) {
        this.sim = sim;
        this.canvas = canvas;
        createObjects();
    }

    public void createObjects() {
        World world = sim.getWorld();
        SimObject monster = new SimObjectMonster(world, 10, 10);
        sim.addObject(monster);
        canvas.addObject(new ShapeMonster(monster));

        SimObject npc = new SimObjectNPC(world, 400, 200);
        sim.addObject(npc);
        canvas.addObject(new ShapeNPC(npc));
    }
}
